Skip to main content
GET
/
unit-conversion-rules
/
{id}
Single unit conversion rule
curl --request GET \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/unit-conversion-rules/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "base_unit_of_measure_id": 123,
    "base_unit_of_measure": {
      "id": 123,
      "name": "<string>",
      "unit_class_id": 123,
      "base_unit": true
    },
    "converted_unit_of_measure_id": 123,
    "converted_unit_of_measure": {
      "id": 123,
      "name": "<string>",
      "unit_class_id": 123,
      "base_unit": true
    },
    "conversion_factor": 123,
    "type": "SYSTEM",
    "product_id": 123,
    "product": {},
    "product_alternate_skus": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

id
integer
required

Unit conversion rule ID

Response

Successful response

data
object

A rule converting from one unit of measure to another. type=SYSTEM rules apply globally for a class (e.g. 1 lb = 0.453592 kg). type=SKU rules override system rules for a specific product (product_id).